Page MenuHomePhabricator

[Story] allow localized input of time values
Closed, ResolvedPublic

Description

It should be possible to enter time values in the interface language. In German for example I want to be able to enter "20. Jahrhundert" and have it recognized by the UI.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdd DateFormatParser and MwDateFormatParserFactory
mediawiki/extensions/Wikibase : masterDon't assume English in MwTimeIsoParser
mediawiki/extensions/Wikibase : masterRemove broken unlocalization from MwTimeIsoFormatter

Event Timeline

Lydia_Pintscher raised the priority of this task from to Medium.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2015, 9:29 AM
Ayack added a subscriber: Ayack.Apr 9 2015, 10:13 AM

Same problem in French with "1er juin" or "25/12/2014" for example .

Change 203018 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Remove broken unlocalization from MwTimeIsoFormatter

https://gerrit.wikimedia.org/r/203018

Jc3s5h added a subscriber: Jc3s5h.Jun 10 2015, 3:27 PM
Jc3s5h removed a subscriber: Jc3s5h.

Change 203018 merged by jenkins-bot:
Remove broken unlocalization from MwTimeIsoFormatter

https://gerrit.wikimedia.org/r/203018

Can this be closed?

Both the MwTimeIsoFormatter and the MWTimeIsoParser are still formatting/parsing these messages in English and English only. We made the messages translatable but the localized messages are currently not used, at least not in the repo view and editors.

Note that this ticket should be split into two:

Jonas renamed this task from allow localized input of time values to [Story] allow localized input of time values.Aug 15 2015, 12:52 PM
Jonas set Security to None.

Change 153211 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
[WIP] Add MwDateFormatParser

https://gerrit.wikimedia.org/r/153211

Change 278234 had a related patch set uploaded (by Hoo man):
Don't assume English in MwTimeIsoParser

https://gerrit.wikimedia.org/r/278234

Change 278234 merged by jenkins-bot:
Don't assume English in MwTimeIsoParser

https://gerrit.wikimedia.org/r/278234

hoo closed this task as Resolved.Apr 7 2016, 5:33 PM
hoo removed a project: Patch-For-Review.

This should work now (on master), not perfect but good enough(tm), I guess.

Change 153211 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add DateFormatParser and MwDateFormatParserFactory

https://gerrit.wikimedia.org/r/153211